<?php

declare(strict_types=1);

namespace Dedi\SyliusPayboxPlugin\Payum;

interface PayboxParams
{
    // Default servers urls
    public const SERVERS_PREPROD = ['preprod-tpeweb.e-transactions.fr'];

    public const SERVERS_PROD = ['tpeweb.e-transactions.fr', 'tpeweb1.e-transactions.fr'];

    public const URL_CLASSIC = 'cgi/MYchoix_pagepaiement.cgi';

    public const URL_IFRAME = 'cgi/MYframepagepaiement_ip.cgi';

    public const URL_MOBILE = 'cgi/ChoixPaiementMobile.cgi';

    // Requests params values
    // TODO : use ConfigTreeBuilder to configure it
    public const PBX_RETOUR_VALUE = 'Mt:M;Ref:R;Auto:A;error_code:E';

    public const PBX_DEVISE_EURO = '978';

    public const PBX_SOURCE_MOBILE = 'XHTML';

    public const PBX_SOURCE_DESKTOP = 'HTML';

    // Requests params keys
    public const PBX_SITE = 'PBX_SITE';

    public const PBX_RANG = 'PBX_RANG';

    public const PBX_IDENTIFIANT = 'PBX_IDENTIFIANT';

    public const PBX_HASH = 'PBX_HASH';

    public const PBX_RETOUR = 'PBX_RETOUR';

    public const PBX_HMAC = 'PBX_HMAC';

    public const PBX_TYPEPAIEMENT = 'PBX_TYPEPAIEMENT';

    public const PBX_TYPECARTE = 'PBX_TYPECARTE';

    public const PBX_TOTAL = 'PBX_TOTAL';

    public const PBX_DEVISE = 'PBX_DEVISE';

    public const PBX_CMD = 'PBX_CMD';

    public const PBX_PORTEUR = 'PBX_PORTEUR';

    public const PBX_EFFECTUE = 'PBX_EFFECTUE';

    public const PBX_ANNULE = 'PBX_ANNULE';

    public const PBX_REFUSE = 'PBX_REFUSE';

    public const PBX_REPONDRE_A = 'PBX_REPONDRE_A';

    public const PBX_TIME = 'PBX_TIME';

    public const PBX_SOURCE = 'PBX_SOURCE';
}
